Loading...
Searching...
No Matches
libparted.c File Reference

## Macros

#define | _(String)

## Functions

void * | ped_calloc (size_t size)
void | ped_disk_aix_done ()
void | ped_disk_aix_init ()
void | ped_disk_amiga_done ()
void | ped_disk_amiga_init ()
void | ped_disk_atari_done ()
void | ped_disk_atari_init ()
void | ped_disk_bsd_done ()
void | ped_disk_bsd_init ()
void | ped_disk_dasd_done ()
void | ped_disk_dasd_init ()
void | ped_disk_dvh_done ()
void | ped_disk_dvh_init ()
void | ped_disk_gpt_done ()
void | ped_disk_gpt_init ()
void | ped_disk_loop_done ()
void | ped_disk_loop_init ()
void | ped_disk_mac_done ()
void | ped_disk_mac_init ()
void | ped_disk_msdos_done ()
void | ped_disk_msdos_init ()
void | ped_disk_pc98_done ()
void | ped_disk_pc98_init ()
void | ped_disk_sun_done ()
void | ped_disk_sun_init ()
void | ped_file_system_amiga_done (void)
void | ped_file_system_amiga_init (void)
void | ped_file_system_btrfs_done (void)
void | ped_file_system_btrfs_init (void)
void | ped_file_system_ext2_done (void)
void | ped_file_system_ext2_init (void)
void | ped_file_system_f2fs_done (void)
void | ped_file_system_f2fs_init (void)
void | ped_file_system_fat_done (void)
void | ped_file_system_fat_init (void)
void | ped_file_system_hfs_done (void)
void | ped_file_system_hfs_init (void)
void | ped_file_system_jfs_done (void)
void | ped_file_system_jfs_init (void)
void | ped_file_system_linux_swap_done (void)
void | ped_file_system_linux_swap_init (void)
void | ped_file_system_nilfs2_done (void)
void | ped_file_system_nilfs2_init (void)
void | ped_file_system_ntfs_done (void)
void | ped_file_system_ntfs_init (void)
void | ped_file_system_reiserfs_done (void)
void | ped_file_system_reiserfs_init (void)
void | ped_file_system_udf_done (void)
void | ped_file_system_udf_init (void)
void | ped_file_system_ufs_done (void)
void | ped_file_system_ufs_init (void)
void | ped_file_system_xfs_done (void)
void | ped_file_system_xfs_init (void)
void | ped_file_system_zfs_done (void)
void | ped_file_system_zfs_init (void)
const char * | ped_get_version ()
void * | ped_malloc (size_t size)

## Macro Definition Documentation

## _

#define _ | ( |  | String | ) |

Value:
(String)

## Function Documentation

## ped_calloc()

void * ped_calloc | ( | size_t | size | ) |

## ped_disk_aix_done()

void ped_disk_aix_done | ( |  | ) |

extern

## ped_disk_aix_init()

void ped_disk_aix_init | ( |  | ) |

extern

## ped_disk_amiga_done()

void ped_disk_amiga_done | ( |  | ) |

extern

## ped_disk_amiga_init()

void ped_disk_amiga_init | ( |  | ) |

extern

## ped_disk_atari_done()

void ped_disk_atari_done | ( |  | ) |

extern

## ped_disk_atari_init()

void ped_disk_atari_init | ( |  | ) |

extern

## ped_disk_bsd_done()

void ped_disk_bsd_done | ( |  | ) |

extern

## ped_disk_bsd_init()

void ped_disk_bsd_init | ( |  | ) |

extern

## ped_disk_dasd_done()

void ped_disk_dasd_done | ( |  | ) |

extern

## ped_disk_dasd_init()

void ped_disk_dasd_init | ( |  | ) |

extern

## ped_disk_dvh_done()

void ped_disk_dvh_done | ( |  | ) |

extern

## ped_disk_dvh_init()

void ped_disk_dvh_init | ( |  | ) |

extern

## ped_disk_gpt_done()

void ped_disk_gpt_done | ( |  | ) |

extern

## ped_disk_gpt_init()

void ped_disk_gpt_init | ( |  | ) |

extern

## ped_disk_loop_done()

void ped_disk_loop_done | ( |  | ) |

extern

## ped_disk_loop_init()

void ped_disk_loop_init | ( |  | ) |

extern

## ped_disk_mac_done()

void ped_disk_mac_done | ( |  | ) |

extern

## ped_disk_mac_init()

void ped_disk_mac_init | ( |  | ) |

extern

## ped_disk_msdos_done()

void ped_disk_msdos_done | ( |  | ) |

extern

## ped_disk_msdos_init()

void ped_disk_msdos_init | ( |  | ) |

extern

## ped_disk_pc98_done()

void ped_disk_pc98_done | ( |  | ) |

extern

## ped_disk_pc98_init()

void ped_disk_pc98_init | ( |  | ) |

extern

## ped_disk_sun_done()

void ped_disk_sun_done | ( |  | ) |

extern

## ped_disk_sun_init()

void ped_disk_sun_init | ( |  | ) |

extern

## ped_file_system_amiga_done()

void ped_file_system_amiga_done | ( | void |  | ) |

extern

## ped_file_system_amiga_init()

void ped_file_system_amiga_init | ( | void |  | ) |

extern

## ped_file_system_btrfs_done()

void ped_file_system_btrfs_done | ( | void |  | ) |

extern

## ped_file_system_btrfs_init()

void ped_file_system_btrfs_init | ( | void |  | ) |

extern

## ped_file_system_ext2_done()

void ped_file_system_ext2_done | ( | void |  | ) |

extern

## ped_file_system_ext2_init()

void ped_file_system_ext2_init | ( | void |  | ) |

extern

## ped_file_system_f2fs_done()

void ped_file_system_f2fs_done | ( | void |  | ) |

extern

## ped_file_system_f2fs_init()

void ped_file_system_f2fs_init | ( | void |  | ) |

extern

## ped_file_system_fat_done()

void ped_file_system_fat_done | ( | void |  | ) |

extern

## ped_file_system_fat_init()

void ped_file_system_fat_init | ( | void |  | ) |

extern

## ped_file_system_hfs_done()

void ped_file_system_hfs_done | ( | void |  | ) |

extern

## ped_file_system_hfs_init()

void ped_file_system_hfs_init | ( | void |  | ) |

extern

## ped_file_system_jfs_done()

void ped_file_system_jfs_done | ( | void |  | ) |

extern

## ped_file_system_jfs_init()

void ped_file_system_jfs_init | ( | void |  | ) |

extern

## ped_file_system_linux_swap_done()

void ped_file_system_linux_swap_done | ( | void |  | ) |

extern

## ped_file_system_linux_swap_init()

void ped_file_system_linux_swap_init | ( | void |  | ) |

extern

## ped_file_system_nilfs2_done()

void ped_file_system_nilfs2_done | ( | void |  | ) |

extern

## ped_file_system_nilfs2_init()

void ped_file_system_nilfs2_init | ( | void |  | ) |

extern

## ped_file_system_ntfs_done()

void ped_file_system_ntfs_done | ( | void |  | ) |

extern

## ped_file_system_ntfs_init()

void ped_file_system_ntfs_init | ( | void |  | ) |

extern

## ped_file_system_reiserfs_done()

void ped_file_system_reiserfs_done | ( | void |  | ) |

extern

## ped_file_system_reiserfs_init()

void ped_file_system_reiserfs_init | ( | void |  | ) |

extern

## ped_file_system_udf_done()

void ped_file_system_udf_done | ( | void |  | ) |

extern

## ped_file_system_udf_init()

void ped_file_system_udf_init | ( | void |  | ) |

extern

## ped_file_system_ufs_done()

void ped_file_system_ufs_done | ( | void |  | ) |

extern

## ped_file_system_ufs_init()

void ped_file_system_ufs_init | ( | void |  | ) |

extern

## ped_file_system_xfs_done()

void ped_file_system_xfs_done | ( | void |  | ) |

extern

## ped_file_system_xfs_init()

void ped_file_system_xfs_init | ( | void |  | ) |

extern

## ped_file_system_zfs_done()

void ped_file_system_zfs_done | ( | void |  | ) |

extern

## ped_file_system_zfs_init()

void ped_file_system_zfs_init | ( | void |  | ) |

extern

## ped_get_version()

const char * ped_get_version | ( |  | ) |

## ped_malloc()

void * ped_malloc | ( | size_t | size | ) |